Bug 432168 - Battery not detected in kernels versions > 2.6.23.1-42.fc8
Battery not detected in kernels versions > 2.6.23.1-42.fc8
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-09 05:59 EST by Dušan Hokův
Modified: 2009-01-09 00:57 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:57:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
dmesg errors (20.41 KB, text/plain)
2008-02-09 05:59 EST, Dušan Hokův
no flags Details
working kernel (19.87 KB, text/plain)
2008-02-09 06:00 EST, Dušan Hokův
no flags Details

  None (edit)
Description Dušan Hokův 2008-02-09 05:59:48 EST
Description of problem:
Battery in notebook not detected, dmesg show errors

Version-Release number of selected component (if applicable):
kernel > 2.6.23.1-42.fc8

How reproducible:
always

Steps to Reproduce:
1. boot to newest kernel, eg. 2.6.23.14-115.fc8
  
Actual results:
errors in dmesg, gnome power manager doesn't show battery state...

Expected results:
no errors in dmesg, show battery state

Additional info:
No name notebook, celeron M.
lspci:
00:00.0 Host bridge: Intel Corporation 82852/82855 GM/GME/PM/GMV Processor to
I/O Controller (rev 02)
00:00.1 System peripheral: Intel Corporation 82852/82855 GM/GME/PM/GMV Processor
to I/O Controller (rev 02)
00:00.3 System peripheral: Intel Corporation 82852/82855 GM/GME/PM/GMV Processor
to I/O Controller (rev 02)
00:02.0 VGA compatible controller: Intel Corporation 82852/855GM Integrated
Graphics Device (rev 02)
00:02.1 Display controller: Intel Corporation 82852/855GM Integrated Graphics
Device (rev 02)
00:1d.0 USB Controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M)
USB UHCI Controller #1 (rev 03)
00:1d.1 USB Controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M)
USB UHCI Controller #2 (rev 03)
00:1d.2 USB Controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M)
USB UHCI Controller #3 (rev 03)
00:1d.7 USB Controller: Intel Corporation 82801DB/DBM (ICH4/ICH4-M) USB2 EHCI
Controller (rev 03)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev 83)
00:1f.0 ISA bridge: Intel Corporation 82801DBM (ICH4-M) LPC Interface Bridge
(rev 03)
00:1f.1 IDE interface: Intel Corporation 82801DBM (ICH4-M) IDE Controller (rev 03)
00:1f.3 SMBus: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) SMBus
Controller (rev 03)
00:1f.5 Multimedia audio controller: Intel Corporation 82801DB/DBL/DBM
(ICH4/ICH4-L/ICH4-M) AC'97 Audio Controller (rev 03)
00:1f.6 Modem: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) AC'97
Modem Controller (rev 03)
01:01.0 Ethernet controller: Atheros Communications, Inc. AR5212/AR5213
Multiprotocol MAC/baseband processor (rev 01)
01:02.0 Ethernet controller: VIA Technologies, Inc. VT6105 [Rhine-III] (rev 8b)
01:03.0 CardBus bridge: Texas Instruments PCI1410 PC card Cardbus Controller
(rev 02)
Comment 1 Dušan Hokův 2008-02-09 05:59:48 EST
Created attachment 294461 [details]
dmesg errors
Comment 2 Dušan Hokův 2008-02-09 06:00:47 EST
Created attachment 294462 [details]
working kernel
Comment 3 Dušan Hokův 2008-02-12 13:57:03 EST
Problem solved in kernel  2.6.23.15-137.fc8 today

Thanks.
Comment 4 Dušan Hokův 2008-03-29 06:38:03 EDT
Bug was returned with 2.6.24.3-50.fc8 kernel.
Dmesg:
ACPI: (supports S0 S3 S4 S5)
ACPI: Using PIC for interrupt routing
ACPI Error (evregion-0316): No handler for Region [RAM_] (dd816028)
[EmbeddedControl] [20070126]
ACPI Error (exfldio-0289): Region EmbeddedControl(3) has no handler [20070126]
ACPI Error (psparse-0537): Method parse/execution failed [\_SB_.BAT0._STA] (Node
dd8129f0), AE_NOT_EXIST
ACPI: EC: GPE = 0x1c, I/O: command/status = 0x66, data = 0x62
ACPI: EC: driver started in poll mode
ACPI: PCI Root Bridge [PCI0] (0000:00)
Comment 5 James 2008-04-03 13:24:22 EDT
Still present in 2.6.24.4-64.fc8, no /proc/battery. I get exactly the same error
message:

ACPI: EC: Look up EC in DSDT
ACPI: Interpreter enabled
ACPI: (supports S0 S3 S4 S5)
ACPI: Using PIC for interrupt routing
ACPI Error (evregion-0316): No handler for Region [RAM_] (de816028) [EmbeddedCon
trol] [20070126]
ACPI Error (exfldio-0289): Region EmbeddedControl(3) has no handler [20070126]
ACPI Error (psparse-0537): Method parse/execution failed [\_SB_.BAT0._STA] (Node
de8129f0), AE_NOT_EXIST
ACPI: EC: GPE = 0x1c, I/O: command/status = 0x66, data = 0x62
ACPI: EC: driver started in poll mode
ACPI: PCI Root Bridge [PCI0] (0000:00)
Comment 6 Bug Zapper 2008-11-26 04:45:12 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-01-09 00:57:32 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.